package net.wanji.opt.po.base;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.databus.po.CrossLaneDataHistPO;

import java.util.Date;

/**
 * @author fengyi
 * @date 2024/12/24
 * @description
 */
@Data
public class CrossLaneDataHistPoExtend extends CrossLaneDataHistPO {
    //车道ID
    @ApiModelProperty(value = "车道ID", notes = "")
    private String laneId;
    //方向
    @ApiModelProperty(value = "方向", notes = "")
    private Integer dirType;
    //转向功能
    @ApiModelProperty(value = "转向功能", notes = "")
    private Integer turnType;
    //交通指数
    @ApiModelProperty(value = "交通指数", notes = "")
    private Double trafficIndex;
    //最大排队长度
    @ApiModelProperty(value = "最大排队长度", notes = "")
    private Integer maxQueueLength;
    //最小排队长度
    @ApiModelProperty(value = "最小排队长度", notes = "")
    private Integer minQueueLength;
    //平均排队长度
    @ApiModelProperty(value = "平均排队长度", notes = "")
    private Integer avgQueueLength;

    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss", notes = "")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date startTime;
}
